/****************************************************************************
** Image collection for project 'qstars'.
**
** Generated from reading image files: 
**      qstars.png
**
** Created by The User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include <qimage.h>
#include <qdict.h>
#include <qmime.h>
#include <qdragobject.h>

// qstars.png
static const unsigned char image_0_data[] = {
    0x00,0x00,0x04,0x00,0x78,0x9c,0xd5,0x93,0x41,0x0e,0x80,0x20,0x0c,0x04,
    0x79,0x7a,0x9f,0xc2,0xc1,0x87,0xec,0x43,0xf8,0x8b,0xd0,0xc6,0x9a,0x52,
    0xa1,0x22,0x37,0x49,0xf6,0x20,0xd9,0x19,0x92,0xa6,0x02,0x48,0x68,0x69,
    0xe7,0x9c,0x05,0x57,0x67,0x14,0xed,0x94,0x52,0xba,0x1c,0x39,0xdf,0x89,
    0x3c,0x7c,0xaf,0xc7,0x3b,0x56,0x3c,0xfc,0x4d,0x44,0x92,0x1d,0x8f,0xf2,
    0x89,0x62,0x8f,0xe5,0xbd,0x47,0x79,0x09,0x7a,0x8f,0xed,0xf3,0x5d,0xc8,
    0xa3,0xcf,0x5f,0x78,0x9d,0xd1,0x0e,0x3f,0xda,0xa1,0x15,0xde,0xee,0x81,
    0xb2,0xde,0xe3,0xf9,0xd9,0x4e,0x3f,0xde,0x37,0x1d,0x3f,0x27,0x99,0x55,
    0xb0,0xcb,0x23,0x8f,0xe5,0xde,0xfe,0x27,0xef,0xf9,0xc2,0xcd,0x3c,0x51,
    0xa7,0x02,0xba,0xa0,0x4e,0xa9
};

static struct EmbedImage {
    int width, height, depth;
    const unsigned char *data;
    ulong compressed;
    int numColors;
    const QRgb *colorTable;
    bool alpha;
    const char *name;
} embed_image_vec[] = {
    { 16, 16, 32, (const unsigned char*)image_0_data, 132, 0, 0, TRUE, "qstars.png" },
    { 0, 0, 0, 0, 0, 0, 0, 0, 0 }
};

static QImage uic_findImage( const QString& name )
{
    for ( int i=0; embed_image_vec[i].data; i++ ) {
	if ( QString::fromUtf8(embed_image_vec[i].name) == name ) {
	    QByteArray baunzip;
	    baunzip = qUncompress( embed_image_vec[i].data, 
		embed_image_vec[i].compressed );
	    QImage img((uchar*)baunzip.data(),
			embed_image_vec[i].width,
			embed_image_vec[i].height,
			embed_image_vec[i].depth,
			(QRgb*)embed_image_vec[i].colorTable,
			embed_image_vec[i].numColors,
			QImage::BigEndian
		);
	    img = img.copy();
	    if ( embed_image_vec[i].alpha )
		img.setAlphaBuffer(TRUE);
	    return img;
        }
    }
    return QImage();
}

class MimeSourceFactory_qstars : public QMimeSourceFactory
{
public:
    MimeSourceFactory_qstars() {}
    ~MimeSourceFactory_qstars() {}
    const QMimeSource* data( const QString& abs_name ) const {
	const QMimeSource* d = QMimeSourceFactory::data( abs_name );
	if ( d || abs_name.isNull() ) return d;
	QImage img = uic_findImage( abs_name );
	if ( !img.isNull() )
	    ((QMimeSourceFactory*)this)->setImage( abs_name, img );
	return QMimeSourceFactory::data( abs_name );
    };
};

static QMimeSourceFactory* factory = 0;

void qInitImages_qstars()
{
    if ( !factory ) {
	factory = new MimeSourceFactory_qstars;
	QMimeSourceFactory::defaultFactory()->addFactory( factory );
    }
}

void qCleanupImages_qstars()
{
    if ( factory ) {
	QMimeSourceFactory::defaultFactory()->removeFactory( factory );
	delete factory;
	factory = 0;
    }
}

class StaticInitImages_qstars
{
public:
    StaticInitImages_qstars() { qInitImages_qstars(); }
#if defined(Q_OS_SCO) || defined(Q_OS_UNIXWARE)
    ~StaticInitImages_qstars() { }
#else
    ~StaticInitImages_qstars() { qCleanupImages_qstars(); }
#endif
};

static StaticInitImages_qstars staticImages;
